Subject: [bug#64249] [PATCH ocaml-team 1/2] gnu: ocaml: Update to 4.14.1.

From: Simon Tournier <[email-masked]>
Date: Fri, 22 Sep 2023 16:21:38 +0200

Hi,

On Tue, 12 Sep 2023 at 06:57, pukkamustard <[email-masked]> wrote:
> * gnu/packages/ocaml.scm (opam): Update to 2.1.5.
>   [native-inputs]: Add more test data.
>   [arguments]: Disable failing test.
>   (ocaml-graph): Update to 2.0.0.
>   (ocaml-dose3): Update to 7.0.0.
> * gnu/packages/patches/ocaml-dose3-Fix-for-ocaml-4.06.patch: Remove.
> * gnu/packages/patches/ocaml-dose3-Install-mli-cmx-etc.patch: Remove.
> * gnu/packages/patches/ocaml-dose3-add-unix-dependency.patch: Remove.
> * gnu/packages/patches/ocaml-dose3-dont-make-printconf.patch: Remove.
> * gnu/local.mk (dist_path_DATA): Unregister removed patches.
> ---
>  gnu/local.mk                                  |   4 -
>  gnu/packages/ocaml.scm                        | 132 +++++++++--------
>  .../ocaml-dose3-Fix-for-ocaml-4.06.patch      |  52 -------
>  .../ocaml-dose3-Install-mli-cmx-etc.patch     | 133 ------------------
>  .../ocaml-dose3-add-unix-dependency.patch     |  25 ----
>  .../ocaml-dose3-dont-make-printconf.patch     |   9 --
>  6 files changed, 74 insertions(+), 281 deletions(-)
>  delete mode 100644 gnu/packages/patches/ocaml-dose3-Fix-for-ocaml-4.06.patch
>  delete mode 100644 gnu/packages/patches/ocaml-dose3-Install-mli-cmx-etc.patch
>  delete mode 100644 gnu/packages/patches/ocaml-dose3-add-unix-dependency.patch
>  delete mode 100644 gnu/packages/patches/ocaml-dose3-dont-make-printconf.patch

I get:

--8<---------------cut here---------------start------------->8---
Applying: gnu: opam: Update to 2.1.5.
error: corrupt patch at line 292
error: could not build fake ancestor
hint: Use 'git am --show-current-patch=diff' to see the failed patch
Patch failed at 0001 gnu: opam: Update to 2.1.5.
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
--8<---------------cut here---------------end--------------->8---

And as suggested by

    base-commit: 5db78e7c1b06d1b4892bdb3e153b95b21577271e

from the cover letter, I am on the top of it.

What do I miss?

Cheers,
simon